using System;
using System.Collections.Generic;
using System.Text;

namespace DataPerformer
{
    public class IteratorConsumer : IIteratorConsumer
    {

        #region Fields

        protected List<IIterator> iterators = new List<IIterator>();

        #endregion

        #region IIteratorConsumer Members

        void IIteratorConsumer.Add(IIterator iterator)
        {
            iterators.Add(iterator);
        }

        void IIteratorConsumer.Remove(IIterator iterator)
        {
            iterators.Remove(iterator); ;
        }

        #endregion
    }
}
